import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {
  AuthGuard,
  NotFoundComponent,
  PortalContainerComponent,
  PortalContainerNoSidenavComponent,
} from '@cima/commons';

const routes: Routes = [
  {
    path: '',
    component: PortalContainerComponent,
    canActivate: [AuthGuard],
    children: [
      {
        path: 'credits',
        loadChildren: () =>
          import('./credits/credits.module').then((m) => m.CreditsModule),
      },
      {
        path: '',
        loadChildren: () =>
          import('@cima/<%= dasherize(name) %>').then((m) => m.Cima<%= classify(name) %>Module),
      },
    ],
  },

  {
    path: '',
    component: PortalContainerNoSidenavComponent,
    canActivate: [AuthGuard],
    children: [
      // {
      //   path: '<%= dasherize(name) %>',
      //   loadChildren: () =>
      //     import('@cima/<%= dasherize(name) %>').then((m) => m.Cima<%= classify(name) %>Module),
      // },
    ],
  },

  {
    path: '404',
    component: NotFoundComponent,
  },

  {
    path: '**',
    redirectTo: '',
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes, { enableTracing: false })],
  exports: [RouterModule],
})
export class AppRoutingModule {}
