"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newLibrary = void 0;
const core_1 = require("@angular-devkit/core");
const strings_1 = require("@angular-devkit/core/src/utils/strings");
const schematics_1 = require("@angular-devkit/schematics");
function newLibrary(_options) {
    const name = (0, strings_1.dasherize)(_options.name);
    // console.log("The name of the repo will be", name);
    return (tree, _context) => {
        const templateSource = (0, schematics_1.apply)((0, schematics_1.url)("./files"), [
            (0, schematics_1.template)(Object.assign(Object.assign({}, _options), core_1.strings)),
        ]);
        const merged = (0, schematics_1.mergeWith)(templateSource, schematics_1.MergeStrategy.Overwrite);
        const rule = (0, schematics_1.chain)([generateRepo(name), merged]);
        return rule(tree, _context);
    };
}
exports.newLibrary = newLibrary;
function generateRepo(name) {
    return (0, schematics_1.externalSchematic)("@schematics/angular", "ng-new", {
        name,
        version: "9.0.0",
        directory: name,
        routing: false,
        style: "scss",
        inlineStyle: false,
        inlineTemplate: false,
        createApplication: false,
    });
}
//# sourceMappingURL=index.js.map